## Analytic reporting

JReport Web provides you with a convenient and powerful tool to analyze your business information. By providing secure web access to business data and making the data interactive, JReport Web facilitates data analysis.

JReport Web enhances the utility of production reports by making them interactive - allowing you to define your view of data to make it more useful. Through a user-friendly web GUI, report contents can be easily navigated, drilled, and viewed in detail.

JReport Web uses the Resource View panel to provide a business-oriented view of databases. This view shields end users from having to understand database connectivity and SQL syntax while allowing IT professionals to maintain control of business data and to ensure its integrity. Using the Resource View panel, JReport Web dynamically builds SQL statements to retrieve data and automatically generate multidimensional data cubes. These cubes contain the underlying data structure which makes data analysis possible.

The following topics describe the analytic reporting features:

- An introduction to business/report cubes
- Applying filters to business/report cubes
- Using cube elements
- Using dynamic resources
- Drilling through the report data
- Manipulating components
- Adding conditional formats to fields
- Converting between components
- Navigating through the report data

Notes:

- A component created in JReport Designer is based on a dataset, while that created in JReport Web is based on a business/report cube. For the former, if you want to do analytic actions in JReport Web, such as adding a cube element, converting the component type, drilling it, or changing chart definition, JReport Web will need to convert its fields to cube elements (for details, see Converting query-based components to report cube-based in the JReport Designer User's Guide). When conversion conditions are fulfilled, when you perform analytic actions in JReport Web, you will be prompted with the Convert Data Fields dialog to confirm the conversion. However, if the report property Automatic Cube Initialization has been set to true when the report is designed in JReport Designer, the data fields will be automatically converted to cube elements when the report is opened in JReport Web.
- If you do not have JReport Live, please contact your Jinfonet Software account manager for a license.